/*
Theme Name:     Womensspecialistgroup
Theme URI:
Description:    Astra child theme.
Author:         Me
Author URI:
Template:       astra
Version:        0.1.0
*/


/*
 * ---------------------------------------------------------------------------------------------------------------------
 * Theme Overrides / Global
 * =====================================================================================================================
 */

:root {

	--clr-wsg-grey: #404040;
	--clr-wsg-green: #3da495;
	--clr-wsg-light-grey: #ebebeb;
	--clr-white: #ffffff;
	--clr-black: #000000;

	--ff-heading: "Figtree", sans-serif;
	--ff-body: "Lato", sans-serif;

	--fw-light: 300;
	--fw-regular: 400;
	--fw-medium: 500;
	--fw-semibold: 600;
	--fw-bold: 700;
	--fw-extrabold: 800;
	--fw-black: 900;
}


h1,
h2,
h3,
h4,
h5,
h6,
p,
li {
	font-optical-sizing: auto;
}


header.entry-header  {
	display: none !important;
}

.fl-row-fixed-width {
	max-width: 1250px !important;
}

.wsg-medium {
	font-weight: var(--fw-medium) !important;
}

.wsg-img__rounded img {
	border-radius: 1em !important;
}

.wsg-infobox__content-sub img {
	margin-bottom: 0.75em !important;
}

.entry-content p {
	/*margin-bottom: 0.8em !important;*/
	margin-bottom: 0 !important;
}

.ast-builder-menu-1 .sub-menu {
	border-color: var(--clr-wsg-green) !important;
}

nav.navigation.post-navigation {
	display: none !important;
}

.single.ast-page-builder-template .entry-header + .entry-content,
.entry-content > * {
	margin-bottom: 0 !important;
}

.wsg-row__green a {
	color: var(--clr-white) !important;
	position: relative;
	text-decoration: none;
}
.wsg-row__green  a::after {
	content: "";
	position: absolute;
	left: 0;
	bottom: -0.1em;
	width: 100%;
	height: 2px;
	background: currentColor;
	transform: scaleX(0);
	transform-origin: left;
	transition: transform 0.3s ease;
}


.ast-article-single figure, .ast-article-single img:not(figure img) {
	box-shadow: none !important;
	-webkit-box-shadow: none !important;
}

[data-section="section-header-mobile-trigger"] .ast-button-wrap .mobile-menu-toggle-icon .ast-mobile-svg {
	fill: var(--clr-wsg-green) !important;
}


/*
 * ---------------------------------------------------------------------------------------------------------------------
 * Rows
 * =====================================================================================================================
 */

.wsg-row__home-hero {
	/*background-image: url('/wp-content/uploads/2026/07/Hero_Home.webp');*/
	background-image: url('/wp-content/uploads/2026/06/wsg-bg__home-hero-001.avif');
	/*background-image: url('/wp-content/uploads/2026/07/WSG-Hero_Home.webp');*/
	background-repeat: no-repeat;
	background-size: cover;
	background-position: 40% center;
	padding: 1em 0;
}

.wsg-row__content-hero {
	/*background-image: url('/wp-content/uploads/2026/05/wsg-bg__content-hero-001.avif');*/
	background-image: url('/wp-content/uploads/2026/07/WSG-Pregnant-80116.webp');
	background-repeat: no-repeat;
	background-size: cover;
	background-position: left center;
	padding: 1em 0;
}

.wsg-row__content-hero-contact {
	background-image: url('/wp-content/uploads/2026/06/wsg-bg__content-hero-contact-001.avif');
	background-repeat: no-repeat;
	background-size: cover;
	background-position: left center;
	padding: 1em 0;
}

.wsg-row__content-hero-our-doctors {
	/*background-image: url('/wp-content/uploads/2026/07/WSG-Team-65.webp');*/
	background-image: url('/wp-content/uploads/2026/08/wsg-bg__hero-team-001.avif');
	background-repeat: no-repeat;
	background-size: cover;
	background-position: left center;
	padding: 1em 0;
}

.wsg-row__content-hero-dr-emma {
	background-image: url('/wp-content/uploads/2026/06/wsg-bg__content-hero-dr-emma-001.avif');
	background-repeat: no-repeat;
	background-size: cover;
	background-position: left center;
	padding: 1em 0;
}

.wsg-row__content-hero-dr-tina {
	background-image: url('/wp-content/uploads/2026/06/wsg-bg__content-hero-dr-tina-001.avif');
	background-repeat: no-repeat;
	background-size: cover;
	background-position: left center;
	padding: 1em 0;
}

.wsg-row__content-hero-dr-lucy {
	background-image: url('/wp-content/uploads/2026/06/Dr_Lucy_BG-1.jpg');
	background-repeat: no-repeat;
	background-size: cover;
	background-position: left center;
	padding: 1em 0;
}

.wsg-row__content-hero-dr-ruzica {
	background-image: url('/wp-content/uploads/2026/06/wsg-bg__content-hero-dr-ruzica-001.avif');
	background-repeat: no-repeat;
	background-size: cover;
	background-position: left center;
	padding: 1em 0;
}

.wsg-row__content-hero-dr-jinny {
	background-image: url('/wp-content/uploads/2026/06/wsg-bg__content-hero-dr-jinny-001.avif');
	background-repeat: no-repeat;
	background-size: cover;
	background-position: left center;
	padding: 1em 0;
}

.wsg-row__content-hero-dr-cheryl {
	background-image: url('/wp-content/uploads/2026/07/Dr-Cheryl-Silveria-NoText.webp');
	background-repeat: no-repeat;
	background-size: cover;
	background-position: left center;
	padding: 1em 0;
}

.wsg-row__content-hero-urocology {
	background-image: url('/wp-content/uploads/2026/07/WSG-71-.webp');
	background-repeat: no-repeat;
	background-size: cover;
	background-position: left center;
	padding: 1em 0;
}

.wsg-row__content-hero-fertility-care {
	background-image: url('/wp-content/uploads/2026/07/Fertility-Bg119.webp');
	background-repeat: no-repeat;
	background-size: cover;
	background-position: left center;
	padding: 1em 0;
}

.wsg-row__content-hero-about-us {
	background-image: url('/wp-content/uploads/2026/07/WSG-AboutUs-New.webp');
	background-repeat: no-repeat;
	background-size: cover;
	background-position: left center;
	padding: 1em 0;
}

.wsg-row__content-hero-referrals {
	/*background-image: url('/wp-content/uploads/2026/07/WSG-Rooms-75.webp');*/
	background-image: url('/wp-content/uploads/2026/07/All-Drs-No-Text-1.webp');
	background-repeat: no-repeat;
	background-size: cover;
	background-position: left center;
	padding: 1em 0;
}

.wsg-row__content-hero-gynaecology {
	/*background-image: url('/wp-content/uploads/2026/06/wsg-bg__content-hero-urocology-001.avif');*/
	background-image: url('/wp-content/uploads/2026/06/wsg-bg__content-hero-contact-001.avif');
	background-repeat: no-repeat;
	background-size: cover;
	background-position: left center;
	padding: 1em 0;
}

.wsg-row__content-hero-paediatric-adolescent-gynaecology {
	background-image: url('/wp-content/uploads/2026/07/Paediatric-Adolescent-Gyn-Hero.webp');
	background-repeat: no-repeat;
	background-size: cover;
	background-position: left center;
	padding: 1em 0;
}

.wsg-row__watermark {
	background-image: url('/wp-content/uploads/2026/08/wsg-bg__watermark-001.avif');
	background-repeat: no-repeat;
	background-size: contain;
	background-position: left center;
	padding: 1em 0;
}

.wsg-row__green {
	background-color: var(--clr-wsg-green) !important;
	/*padding: 2em 0 !important;*/
}
.wsg-row__green-thin {
	/*padding: 0.5em 0 !important;*/
}

.wsg-row__grey {
	background-color: var(--clr-wsg-grey) !important;
	padding: 1em 0 !important;
}

.wsg-row__off-white {
	background-color: var(--clr-wsg-light-grey) !important;
	padding: 1em 0 !important;
}

.wsg-row__white {
	background-color: var(--clr-white) !important;
	padding: 1em 0 !important;
}

.wsg-row__cta {
	/*background-image: url('/wp-content/uploads/2026/05/wsg-bg__cta-001.avif');*/
	background-image: url('/wp-content/uploads/2026/06/wsg-bg__cta-002.avif');
	background-repeat: no-repeat;
	background-size: cover;
	background-position: center center;
	padding: 1em 0;
}




/*
 * ---------------------------------------------------------------------------------------------------------------------
 * Info Boxes
 * =====================================================================================================================
 */

.wsg-infobox__home-hero .uabb-infobox-title-prefix {
	font-family: var(--ff-heading) !important;
	font-weight: var(--fw-regular) !important;
	line-height: 1.2;
	letter-spacing: -0.02em;
	font-size: 2.75rem;
	font-size: clamp(2.75rem, 1.8rem + 3vw, 2.75rem);
	color: var(--clr-wsg-grey) !important;
}
.wsg-infobox__home-hero .uabb-infobox-text p,
.wsg-infobox__home-hero .uabb-infobox-text li {
	font-family: var(--ff-body) !important;
	font-weight: var(--fw-regular) !important;
	font-size: 1.25rem !important;
	line-height: calc(1.75 / 1.25) !important;
	color: var(--clr-wsg-grey) !important;
	margin-top: 1em !important;
}


.wsg-infobox__strip-pillar .uabb-infobox-text p,
.wsg-infobox__strip-pillar .uabb-infobox-text li {
	font-family: var(--ff-body) !important;
	font-weight: var(--fw-light) !important;
	font-size: 2.25rem !important;
	line-height: calc(2.5 / 2.25) !important;
	color: var(--clr-white) !important;
}
.wsg-infobox__strip-pillar ul {
	display: flex;
	flex-wrap: wrap;
	justify-content: center;
	gap: 0.75rem;
	list-style: none;
	margin: 0;
	padding: 0;
}
.wsg-infobox__strip-pillar li {
	display: flex;
	align-items: center;
}
.wsg-infobox__strip-pillar li:not(:last-child)::after {
	content: "|";
	margin-left: 0.75rem;
	opacity: 0.6;
}


.wsg-infobox__content .uabb-infobox-title-prefix {
	font-family: var(--ff-heading) !important;
	font-weight: var(--fw-regular) !important;
	font-size: 1.25rem !important;
	line-height: calc(1.75 / 1.25) !important;
	color: var(--clr-wsg-grey) !important;
}
.wsg-infobox__content .uabb-infobox-title {
	font-family: var(--ff-heading) !important;
	font-weight: var(--fw-regular) !important;
	font-size: 2.5rem !important;
	font-size: clamp(2rem, 1.5rem + 2vw, 2.5rem) !important;
	line-height: calc(2.5 / 2.25) !important;
	color: var(--clr-wsg-grey) !important;
}
.wsg-infobox__content .uabb-infobox-text p,
.wsg-infobox__content .uabb-infobox-text li {
	font-family: var(--ff-body) !important;
	font-weight: var(--fw-regular) !important;
	font-size: 1.125rem !important;
	line-height: calc(1.75 / 1.125) !important;
	color: var(--clr-wsg-grey) !important;
}
.wsg-infobox__content .uabb-infobox-text p strong {
	font-family: var(--ff-heading) !important;
	color: var(--clr-wsg-green) !important;
	font-weight: var(--fw-medium) !important;
	font-size: 1.5rem !important;
	line-height: calc(2 / 1.5) !important;
	margin: 1em 0 0.5em 0 !important;
}
.wsg-infobox__content .uabb-infobox-text p a,
.wsg-infobox__content .uabb-infobox-text li a {
	color: var(--clr-wsg-green) !important;
	font-weight: var(--fw-bold) !important;
	position: relative;
	text-decoration: none;
}

.wsg-infobox__content .uabb-infobox-text p a::after,
.wsg-infobox__content .uabb-infobox-text li a::after {
	content: "";
	position: absolute;
	left: 0;
	bottom: -0.1em;
	width: 100%;
	height: 2px;
	background: currentColor;
	transform: scaleX(0);
	transform-origin: left;
	transition: transform 0.3s ease;
}

.wsg-infobox__content .uabb-infobox-text p a:hover::after,
.wsg-infobox__content .uabb-infobox-text li a:hover::after {
	transform: scaleX(1);
}

.wsg-row__content-hero .wsg-infobox__content .uabb-infobox-title {
	font-size: 3rem !important;
	font-size: clamp(2rem, 1.5rem + 2vw, 2.5rem) !important;
}

.wsg-infobox__content-sub .uabb-infobox-title {
	font-size: 1.875rem !important;
	line-height: calc(2.25 / 1.875) !important;
}

.wsg-infobox__grey-bg {
	background-color: var(--clr-wsg-light-grey) !important;
	border-radius: 1em !important;
	margin-bottom: 1em !important;
	padding: 0 1em !important;
}
.wsg-infobox__grey-bg .uabb-infobox-title {
	font-family: var(--ff-heading) !important;
	font-weight: var(--fw-regular) !important;
	font-size: 1.5rem !important;
	line-height: calc(2 / 1.5) !important;
	color: var(--clr-wsg-grey) !important;
}
.wsg-infobox__grey-bg .uabb-infobox-text p,
.wsg-infobox__grey-bg .uabb-infobox-text li {
	font-family: var(--ff-body) !important;
	font-weight: var(--fw-regular) !important;
	font-size: 1rem !important;
	line-height: calc(1.5 / 1) !important;
	color: var(--clr-wsg-grey) !important;
}

.wsg-infobox__cta .uabb-infobox-title-prefix {
	font-family: var(--ff-heading) !important;
	font-weight: var(--fw-regular) !important;
	font-size: 1.25rem !important;
	line-height: calc(1.75 / 1.25) !important;
	color: var(--clr-white) !important;
}
.wsg-infobox__cta .uabb-infobox-title {
	font-family: var(--ff-heading) !important;
	font-weight: var(--fw-regular) !important;
	font-size: 2.5rem !important;
	font-size: clamp(2rem, 1.5rem + 2vw, 2.5rem);
	line-height: calc(2.5 / 2.25) !important;
	color: var(--clr-white) !important;
}
.wsg-infobox__cta .uabb-infobox-text p,
.wsg-infobox__cta .uabb-infobox-text li {
	font-family: var(--ff-body) !important;
	font-weight: var(--fw-regular) !important;
	font-size: 1.25rem !important;
	line-height: calc(1.75 / 1.25) !important;
	color: var(--clr-white) !important;
}


.wsg-infobox__footer .uabb-infobox-title-prefix {
	font-family: var(--ff-heading) !important;
	font-weight: var(--fw-regular) !important;
	font-size: 0.75rem !important;
	line-height: calc(1 / 0.75) !important;
	color: var(--clr-white) !important;
}
.wsg-infobox__footer .uabb-infobox-title {
	font-family: var(--ff-heading) !important;
	font-weight: var(--fw-regular) !important;
	font-size: 1rem !important;
	line-height:  calc(1.5 / 1) !important;
	color: var(--clr-white) !important;
}
.wsg-infobox__footer .uabb-infobox-text p,
.wsg-infobox__footer .uabb-infobox-text li {
	font-family: var(--ff-body) !important;
	font-weight: var(--fw-regular) !important;
	font-size: 0.875rem !important;
	line-height: calc(1.25 / 0.875) !important;
	color: var(--clr-white) !important;
}

.wsg-infobox__footer .uabb-infobox-text p a,
.wsg-infobox__footer .uabb-infobox-text li a {
	color: var(--clr-wsg-green) !important;
	font-weight: var(--fw-bold) !important;
	position: relative;
	text-decoration: none;
}

.wsg-infobox__footer .uabb-infobox-text p a::after,
.wsg-infobox__footer .uabb-infobox-text li a::after {
	content: "";
	position: absolute;
	left: 0;
	bottom: -0.1em;
	width: 100%;
	height: 2px;
	background: currentColor;
	transform: scaleX(0);
	transform-origin: left;
	transition: transform 0.3s ease;
}

.wsg-infobox__footer.uabb-infobox-text p a:hover::after,
.wsg-infobox__footer.uabb-infobox-text li a:hover::after {
	transform: scaleX(1);
}


/*
 * ---------------------------------------------------------------------------------------------------------------------
 * Buttons
 * =====================================================================================================================
 */

a.fl-button,
.wsg-infobox__content a.uabb-button,
.wsg-infobox__cta a.uabb-button,
input[type=submit],
.gform_button {
	background-color: transparent !important;
	border: 1px solid var(--clr-wsg-grey) !important;
	border-radius: 0.75em !important;
}
.wsg-row__cta .wsg-infobox__cta a.uabb-button {
	border-color: var(--clr-white) !important;
}
a.fl-button:hover,
.wsg-infobox__content a.uabb-button:hover,
.wsg-infobox__cta a.uabb-button:hover,
input[type=submit]:hover,
.gform_button:hover {
	background-color: var(--clr-wsg-green) !important;
	border-color: var(--clr-wsg-green) !important;
	color: var(--clr-white) !important;
}
a.fl-button .fl-button-text,
.wsg-infobox__content a.uabb-button .fl-button-text,
.wsg-infobox__cta a.uabb-button .uabb-button-text{
	font-family: var(--ff-body) !important;
	font-weight: var(--fw-bold) !important;
	font-size: 1.25rem !important;
	line-height: calc(1.75 / 1.25) !important;
	color: var(--clr-wsg-grey) !important;
}
.wsg-row__cta  .wsg-infobox__cta a.uabb-button .uabb-button-text {
	color: var(--clr-white) !important;
}
a.fl-button:hover .fl-button-text,
.wsg-infobox__content a.uabb-button:hover .fl-button-text,
.wsg-infobox__content a.uabb-button:hover .uabb-button-text,
.wsg-infobox__cta a.uabb-button:hover .uabb-button-text {
	color: var(--clr-white) !important;
}



/*
 * ---------------------------------------------------------------------------------------------------------------------
 * Accordion
 * =====================================================================================================================
 */

.uabb-adv-accordion-button,
.uabb-adv-accordion-item-active {
	background-color: var(--clr-wsg-green) !important;
}

.uabb-adv-accordion-button-label,
.uabb-adv-accordion-content p,
.fa-plus:before,
.fa-minus:before {
	color: var(--clr-white) !important;
}

.uabb-adv-accordion-item,
.uabb-adv-accordion-button {
	border-radius: 0.75em !important;
}



/*
 * ---------------------------------------------------------------------------------------------------------------------
 * Gravity Forms
 * =====================================================================================================================
 */

.gform-theme--foundation .gform_fields {
	row-gap: 1em !important;
}




/*
 * ---------------------------------------------------------------------------------------------------------------------
 * Doctor List shortcode
 * =====================================================================================================================
 */

.doctor-list {
	display: flex;
	flex-direction: column;
	gap: 2rem;
}

.doctor-card {
	display: flex;
	align-items: stretch;
	text-decoration: none;
	color: inherit;
	overflow: hidden;
	border-radius: 12px;
	background: #f4f4f4;
	transition: transform .2s ease, box-shadow .2s ease;
}

.doctor-card:hover {
	transform: translateY(-3px);
	box-shadow: 0 10px 30px rgba(0,0,0,.15);
}

.doctor-card__content {
	flex: 1;
	padding: 3rem;
	display: flex;
	flex-direction: column;
	justify-content: center;
}

.doctor-card__content h2 {
	margin: 0 0 .75rem;
	font-size: 2rem;
}

.doctor-card__content p {
	margin: 0;
	line-height: 1.6;
}

.doctor-card__image {
	width: 42%;
	flex-shrink: 0;
}

.doctor-card__image img {
	width: 100%;
	height: 100%;
	object-fit: cover;
	object-position: right center;
	display: block;
}

/* Mobile */

@media (max-width: 768px) {

	.doctor-card {
		flex-direction: column;
	}

	.doctor-card__image {
		width: 100%;
	}

	.doctor-card__image img {
		aspect-ratio: 16 / 9;
		object-fit: cover;
	}

	.doctor-card__content {
		padding: 2rem;
	}

	.doctor-card__content h2 {
		font-size: 1.5rem;
	}
}


.doctor-card__content h2 {
	font-family: var(--ff-heading) !important;
	font-weight: var(--fw-regular) !important;
	font-size: 2.5rem !important;
	font-size: clamp(2rem, 1.5rem + 2vw, 2.5rem);
	line-height: calc(2.5 / 2.25) !important;
	color: var(--clr-wsg-grey) !important;
	margin-bottom: 0 !important;
}
.doctor-card__content p {
	font-family: var(--ff-heading) !important;
	color: var(--clr-wsg-green) !important;
	font-weight: var(--fw-medium) !important;
	font-size: 1.5rem !important;
	line-height: calc(2 / 1.5) !important;
	margin: 0 0 0.5em 0 !important;
}

a.doctor-card {
	text-decoration: none !important;
}



/*
 * ---------------------------------------------------------------------------------------------------------------------
 * ---------------------------------------------------------------------------------------------------------------------
 * Media Queries
 * =====================================================================================================================
 * =====================================================================================================================
 */

/* Small phone (~320px) */
@media only screen and (min-width: 20em) {
	.wsg-infobox__grey-bg {
		margin: 1em !important;
		padding: 0 !important;
		width: 91% !important;
	}

	.wsg-row__content-hero,
	.wsg-row__content-hero-contact,
	.wsg-row__content-hero-our-doctors,
	.wsg-row__content-hero-dr-emma,
	.wsg-row__content-hero-dr-tina,
	.wsg-row__content-hero-dr-lucy,
	.wsg-row__content-hero-dr-ruzica,
	.wsg-row__content-hero-dr-jinny,
	.wsg-row__content-hero-dr-cheryl,
	.wsg-row__content-hero-urocology,
	.wsg-row__content-hero-fertility-care,
	.wsg-row__content-hero-about-us,
	.wsg-row__content-hero-referrals,
	.wsg-row__content-hero-gynaecology,
	.wsg-row__content-hero-paediatric-adolescent-gynaecology {
		background-position: left center !important;
	}

}


/* Low DPI Laptpo (~1280px) */
@media only screen and (min-width: 80em)
{
	.wsg-infobox__cta .uabb-infobox-text p,
	.wsg-infobox__cta .uabb-infobox-text li {
		width: 50ch !important;
		margin: 0 auto!important;
	}

	.wsg-infobox__grey-bg {
		margin-bottom: 1em !important;
		padding: 0 1em !important;
		width: 100% !important;
	}

	.wsg-row__content-hero,
	.wsg-row__content-hero-contact,
	.wsg-row__content-hero-our-doctors,
	.wsg-row__content-hero-dr-emma,
	.wsg-row__content-hero-dr-tina,
	.wsg-row__content-hero-dr-lucy,
	.wsg-row__content-hero-dr-ruzica,
	.wsg-row__content-hero-dr-jinny,
	.wsg-row__content-hero-dr-cheryl,
	.wsg-row__content-hero-urocology,
	.wsg-row__content-hero-fertility-care,
	.wsg-row__content-hero-about-us,
	.wsg-row__content-hero-referrals,
	.wsg-row__content-hero-gynaecology,
	.wsg-row__content-hero-paediatric-adolescent-gynaecology,
	.wsg-row__watermark {
		background-position: right center !important;
	}
}
